geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aaron Mulder (JIRA)" <...@geronimo.apache.org>
Subject [jira] Commented: (GERONIMO-717) Packaging Plugin still using geronimo-kernel-1.0-169154
Date Wed, 06 Jul 2005 20:17:11 GMT
    [ http://issues.apache.org/jira/browse/GERONIMO-717?page=comments#action_12315173 ] 

Aaron Mulder commented on GERONIMO-717:
---------------------------------------

I believe referring to a specific version number is intentional -- I think the packaging plugin
is intendended to be relatively independent of the bleeding edge code, so it is trying to
refer to a specific known version of the kernel and not depending on the latest and greatest
SNAPSHOT.  Someone else should be able to shed more light on this.

However, I don't understand why the build would fail, unless you did an offline build.  Try
to run just plan "maven" from the geronimo-packaging-plugin directory and it should download
that particular kernel version.  If that doesn't work, please reply here.

> Packaging Plugin still using geronimo-kernel-1.0-169154
> -------------------------------------------------------
>
>          Key: GERONIMO-717
>          URL: http://issues.apache.org/jira/browse/GERONIMO-717
>      Project: Geronimo
>         Type: Bug
>   Components: buildsystem
>     Versions: 1.0-M4
>  Environment: Clean Build
>     Reporter: Donald Woods
>  Attachments: Geronimo-717.diff
>
> Problem:  Build fails when starting with a clean source tree and Maven repository, due
to plugins/geronimo-packaging-plugin/project.xml using hardcoded version number for geronimo-kernel-1.0-169154.
> Fix:  Update plugins/geronimo-packaging-plugin/project.xml to use the default ../../etc/project.xml
like the other plugins to pick-up the current Geronimo version and to use that in the geronimo-kernel
dependency.
> Fix Diff:
> Index: project.xml
> ===================================================================
> --- project.xml	(revision 209498)
> +++ project.xml	(working copy)
> @@ -19,16 +19,23 @@
>  <!-- $Rev$ $Date$ -->
>  <project>
>      <pomVersion>3</pomVersion>
> +    <extend>../../etc/project.xml</extend>
> +
> +    <!-- ===================== -->
> +    <!-- Module Identification -->
> +    <!-- ===================== -->
>      <groupId>geronimo</groupId>
>      <id>geronimo-packaging-plugin</id>
>      <name>Geronimo Packaging Plugin</name>
> -    <currentVersion>0.1.1</currentVersion>
>  
> +    <!-- ============ -->
> +    <!-- Dependencies -->
> +    <!-- ============ -->
>      <dependencies>
>          <dependency>
>              <groupId>geronimo</groupId>
>              <artifactId>geronimo-kernel</artifactId>
> -            <version>1.0-169154</version>
> +            <version>${pom.currentVersion}</version>
>          </dependency>
>  
>          <dependency>

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message